s6
Software
skarnet.org

# The s6-ftrig-wait program

s6-ftrig-wait subscribes to a fifodir and waits for a pattern of events to occur on this fifodir.

## Interface

         s6-ftrig-wait [ -t timeout ] fifodir regexp

- s6-ftrig-wait subscribes to fifodir
- It waits for the series of events received on fifodir to match regexp. regexp must be an Extended Regular Expression.
- When the series of read events matches regexp, s6-ftrig-wait prints the last event it received to stdout (one byte followed by a newline), then exits 0.

## Options

- `-t timeout` : if the events on fifodir have not matched regexp after timeout milliseconds, print an error message on stderr and exit 1. By default, s6-ftrig-wait waits indefinitely for a matching series of events.